import type { CfAppRouterDeployConfigQuestions, CfAppRouterDeployConfigPromptOptions } from '../types';
import type { Logger } from '@sap-ux/logger';
/**
 * Retrieves a list of deployment questions based on the application root and prompt options.
 *
 * @param {CfAppRouterDeployConfigPromptOptions} promptOptions - The configuration options for prompting during cf target deployment.
 * @param {Logger} [log] - The logger instance to use for logging.
 * @returns {CfAppRouterDeployConfigQuestions[]} Returns an array of questions related to cf deployment configuration.
 */
export declare function getAppRouterQuestions(promptOptions: CfAppRouterDeployConfigPromptOptions, log?: Logger): Promise<CfAppRouterDeployConfigQuestions[]>;
//# sourceMappingURL=app-router-prompts.d.ts.map